package org.spbu.bdd.core.impl;

public class BitvectorConst {

	public static int fakeIndex(int index) {
		return  (index < 0) ? BitvectorConst.MAXNODES + index : index;
	}

	public static int realIndex(int index) {		
		return  (index > BitvectorConst.MAXNODES - BitvectorConst.MAXTERMINALS) ? index - BitvectorConst.MAXNODES : index;
	}

	public static final int MAXNODES = 256 * 256 * 256 * 16;
	public static final int MAXTERMINALS = 256 * 256;
	public static final int MAXVAR = 256 * 256 / 2; // negative variables are for marks
	
}
